

<?php
require("newsletter/sql.php");
require("newsletter/config.php");

$zeige_nochmal=FALSE;
if (isset($_POST['submit'])) {
if (empty($_POST['mail'])) {
print "<p><strong>Sie haben keine E-Mailadresse eingegeben. Bitte geben Sie eine Mailadresse an.</strong></p>";
} else {
$pruefe=time();
if (preg_match("/[a-zA-Z0-9_\.\-]+@[a-zA-Z0-9\.\-]+\.[a-zA-Z]/",$_POST['mail'],$unwichtig)) {
$mail=trim(strtolower("$_POST[mail]"));
if (strpos($mail,"\n")!==FALSE) {
die ("<p>M&ouml;glicher Spamversuch!!!</p></body></html>\n");
};
$zeiger=mysql_connect ($sqlip,$sqlbenutzer,$sqlpassw) or die ("Konnte Datenbank nicht öffnen");
mysql_select_db ("$sqlname");
$anfrage="SELECT EMail FROM newsletter WHERE EMail='$_POST[mail]'";
$ergebnis=mysql_query($anfrage,$zeiger);
$vorhanden=FALSE;
while ($datensatz=mysql_fetch_row($ergebnis)) {
if (!empty($datensatz[0])) {
$vorhanden=TRUE;
print "<p><strong>Diese Emailadresse ist bereits eingetragen!</strong></p>";
};
};
if(!$vorhanden) {
$anfrage="DELETE FROM pruefe WHERE email='$mail'";
mysql_query($anfrage,$zeiger);
$anfrage="INSERT INTO pruefe (pruefe,email) VALUES ('$pruefe','$mail')";
mysql_query($anfrage,$zeiger);
mysql_close($zeiger) or die ("Konnte Datensatz nicht hinzufügen: ".mysql_error() );
$text="Sie haben sich für unseren Newsletter auf $web angemeldet. Bitte bestätigen Sie die Anmeldung durch Aufrufen folgender Adresse in Ihrem Webbrowser:\n\n".$eintragurl."?pruefe=".$pruefe."&email=".$mail."\n\nZur Bestätigung haben Sie 4 Tage Zeit. Sollten Sie in diesen 4 Tagen den Bestätigungslink noch nicht aufgerufen haben, ist ihre Anmeldung wieder gelöscht.\n\nFalls die Anmeldung nicht von Ihnen stammen sollte, löschen Sie diese Mail einfach. Sie werden keine weitere Email mehr erhalten.";
mail($mail,"Newsletterbestellung",$text,"From: $eig_email") or die ("<p><strong>Konnte Benachrichtigungsmail nicht verschicken!</strong></p>");
print "<p><strong>Sie haben sich erfolgreich für den Newsletter angemeldet.</strong> Bitte best&auml;tigen Sie noch Ihre Anmeldung durch den Link, der Ihnen in der Best&auml;tigungsmail gesendet wird.</p>";
};
} else {
print "<p><strong>Diese E-Mailadresse ist ungültig. Bitte geben Sie eine gültige Mailadresse an.</strong></p>";
$zeige_nochmal=TRUE;
};
};
} else {
print "<p><b><font color=blue>Wenn Sie den Newsletter bekommen wollen, k&ouml;nnen Sie sich hier eintragen:</p>
<form action=\"$_SERVER[PHP_SELF]\" method=\"post\">
<div>
Ihre E-Mailadresse: <input type=\"text\" name=\"mail\" size=\"30\" maxlength=\"45\" /><br /></font>
<input type=\"submit\" name=\"submit\" value=\"Absenden\" />&nbsp;<input type=\"reset\" value=\"Abbrechen\" /><br />
</div>
</form>\n";
};
if ($zeige_nochmal) {
print "<p>Wenn Sie den Newsletter bekommen wollen, k&ouml;nnen Sie sich hier eintragen:</p>
<form action=\"$_SERVER[PHP_SELF]\" method=\"post\">
<div>
Ihre E-Mailadresse: <input type=\"text\" name=\"mail\" size=\"30\" maxlength=\"45\" /><br />
<input type=\"submit\" name=\"submit\" value=\"Absenden\" />&nbsp;<input type=\"reset\" value=\"Abbrechen\" /><br />
</div>
</form>\n";
};
?>
